/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.293 Revision 1.488
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.293 2007/08/17 19:37:18 graaff Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.488 2011/03/07 12:20:13 armin76 Exp $
4
5 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
6 Add ~alpha/~arm/~ia64/~s390/~sh/~sparc wrt #332593
7
8 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
9 Add append-flags -mieee on sh, bug #357559
10
11 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
12 alpha/arm/ia64/s390/sh stable wrt #355439
13
14 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
15 Marked ~ppc64 wrt #332593
16
17 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
18 ruby-1.8.7_p334.ebuild:
19 x86 stable wrt security bug #355439
20
21 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
22 ruby-1.8.7_p334.ebuild:
23 ppc/ppc64 stable wrt #355439
24
25 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
26 Stable on amd64 wrt bug #355439
27
28 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
29 Stable for HPPA (bug #355439).
30
31*ruby-1.8.7_p334 (19 Feb 2011)
32
33 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
34 Version bump 1.8.7 series, security bug 355439
35
36 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
37 ruby-1.9.2.ebuild:
38 Remove PROVIDE for old-style virtual/ruby per bug 265054.
39
40 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
41 Remove masked ruby 1.8.6 per bug 332597.
42
43 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
44 -ruby-1.9.2_rc2.ebuild:
45 Removing old and vulnerable ebuilds
46
47 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
48 Marking ruby-1.8.7_p302 ppc64 for bug 332957
49
50 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
51 alpha/ia64/s390/sh/sparc stable wrt #332957
52
53*ruby-1.9.2 (24 Aug 2010)
54
55 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
56 metadata.xml:
57 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
58 and x86-fbsd due to a new dependency on rdoc.
59
60 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
61 arm stable, bug #332957
62
63 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
64 ruby-1.8.7_p302.ebuild:
65 x86 stable wrt security bug #332957
66
67 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
68 Stable on amd64 wrt bug #332957
69
70 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
71 Stable for PPC (bug #332957).
72
73 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
74 Stable for HPPA (bug #332957).
75
76*ruby-1.8.7_p302 (21 Aug 2010)
77
78 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
79 +ruby-1.8.7_p302.ebuild:
80 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
81 installation path.
82
83*ruby-1.8.6_p399 (19 Aug 2010)
84
85 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
86 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
87 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
88 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
89 installation path (reported by the x86 team in bug 332597)
90
91*ruby-1.9.2_rc2-r1 (18 Aug 2010)
92
93 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
94 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
95 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
96 the rubygems loading code. Add USE flag for psych.
97
98 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
99 ruby-1.9.2_rc2.ebuild:
100 Remove two keepdir that will try to keep an empty path, closes bug
101 #333163.
102
103 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
104 Marked ~ppc (bug #332593).
105
106 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
107 ruby-1.9.2_rc2.ebuild:
108 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
109
110 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
111 ruby-1.8.7_p299.ebuild:
112 Bump eselect-ruby dependency
113
114 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
115 -ruby-1.9.1_p429.ebuild:
116 Remove ebuild that is not target for unmask anyway.
117
118 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
119 ruby-1.9.2_rc2.ebuild:
120 Try 2 to fix the berkdb 5 issue on 1.9.
121
122 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
123 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
124 ruby-1.9.2_rc2.ebuild:
125 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
126 support for adding new patchsets without bumping the revision for all the
127 old ebuilds as well.
128
129*ruby-1.9.2_rc2 (14 Jul 2010)
130
131 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
132 +ruby-1.9.2_rc2.ebuild:
133 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
134 might cause _further_ build failures as it changed slightly behaviour.
135 You're going to need to rebuild rubygems and then all the packages
136 previously installed after upgrading to this.
137
138 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
139 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
140 -ruby-1.9.1_p376.ebuild:
141 Cleanup old versions.
142
143*ruby-1.9.1_p429 (04 Jul 2010)
144
145 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
146 +ruby-1.9.1_p429.ebuild:
147 Version bump to new 1.9.1 release.
148
149*ruby-1.8.7_p299 (23 Jun 2010)
150
151 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
152 +ruby-1.8.7_p299.ebuild:
153 Version bump.
154
155 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
156 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
157 remove useless comments
158
159 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
160 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
161 ruby-1.9.1_p376.ebuild:
162 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
163 dev.gentoo.org now.
164
165 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
166 ruby-1.9.1_p376.ebuild:
167 Use the correct RUBYLIB.
168
169*ruby-1.8.7_p249-r2 (18 May 2010)
170*ruby-1.8.6_p388-r1 (18 May 2010)
171
172 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
173 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
174 ruby-1.9.1_p376.ebuild, metadata.xml:
175 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
176 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
177 add USE flags for ncurses, readline and libedit, and properly depend on
178 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
179 Emacs versions support ruby-mode themselves and it should be even more
180 updated.
181
182*ruby-1.8.7_p249-r1 (06 May 2010)
183
184 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
185 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
186 309789 by Sune Kloppenborg Jeppesen.
187
188 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
189 ruby-1.8.7_p249.ebuild:
190 Use $PVR instead of $PV in patchset names
191
192 06 May 2010; Alex Legler <a3li@gentoo.org>
193 -files/ruby-1.8.6-memory-leak.diff,
194 -files/ruby18-mkmf-parallel-install.patch,
195 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
196 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
197 Remove old version. Cleanup in files/
198
199*ruby-1.9.1_p376 (01 May 2010)
200
201 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
202 Version bump. Fixes security bugs 296052 and 300468. No longer installs
203 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
204 instead.
205
206 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
207 -ruby-1.8.7_p174-r1.ebuild:
208 Remove vulnerable ebuilds, 300468
209
210 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
211 ruby-1.8.7_p249.ebuild:
212 amd64 stable, security bug 300468
213
214 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
215 ruby-1.8.7_p249.ebuild:
216 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
217
218 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
219 Stable for HPPA (bug #300468).
220
221 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
222 Stable for HPPA (bug #300468).
223
224 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
225 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
226
227 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
228 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
229
230 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
231 ruby-1.8.6_p388.ebuild:
232 stable x86, security bug 300468
233
234 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
235 ruby-1.8.7_p249.ebuild:
236 stable x86, security bug 300468
237
238*ruby-1.8.6_p388 (10 Jan 2010)
239
240 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
241 +ruby-1.8.6_p388.ebuild:
242 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
243 version. The new ebuild also has the fix for bug 168939.
244
245*ruby-1.8.7_p249 (10 Jan 2010)
246
247 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
248 +ruby-1.8.7_p249.ebuild:
249 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
250 version
251
252 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
253 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
254
255*ruby-1.8.7_p248 (25 Dec 2009)
256
257 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
258 Version bump
259
260 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
261 Remove old version.
262
263 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
264 Remove old version.
265
266 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
267 ia64/s390/sh stable wrt #288699
268
269 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
270 stable sparc, bug 288699
271
272 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
273 arm stable, bug #288699
274
275 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
276 amd64/x86 stable, bug #288699
277
278 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
279 ruby-1.8.7_p174-r1.ebuild:
280 Stable on alpha, bug #288699
281
282 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
283 ppc stable #288699
284
285 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
286 Stable for HPPA (bug #288699).
287
288 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
289 Marked ~hppa too.
290
291*ruby-1.8.7_p174-r1 (06 Oct 2009)
292
293 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
294 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
295 eselect-ruby cleanup feature.
296
297*ruby-1.9.1_p243 (09 Sep 2009)
298
299 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
300 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
301 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
302 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
303 -files/ruby19-rubygems-proxy.patch,
304 -files/ruby-1.9.1_p129-parallelmake.patch,
305 -files/ruby19-mkmf-parallel-install.patch:
306 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
307 168939. Cleaning up old patches.
308
309*ruby-1.8.6_p383 (20 Aug 2009)
310
311 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
312 Patchlevel bump.
313
314 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
315 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
316 ruby-1.9.1_p129-r1.ebuild:
317 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
318
319 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
320 Removing vulnerable ebuild, bug 273213.
321
322 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
323 Marking ruby-1.8.6_p369 ppc for bug 273213
324
325 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
326 ruby-1.9.1_p129-r1.ebuild:
327 Prepend our library path instead of overwriting it during src_install.
328 Thanks to the reporter of bug #274824.
329
330*ruby-1.8.7_p174 (18 Jun 2009)
331
332 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
333 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
334 Replacing 187_p173 with _p174 because of a regression. Unifying the
335 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
336 patchsets.
337
338 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
339 Marking ruby-1.8.6_p369 ppc64 for bug 273213
340
341 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
342 arm/ia64/s390/sh/sparc stable wrt #273213
343
344 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
345 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
346 Removing old version, minor cleanup
347
348 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
349 -files/ruby-1.8.6-openssl.patch,
350 -files/ruby-1.8.6-shortname_constants.patch,
351 -files/ruby-1.8.6_p111-r13657.patch,
352 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
353 Removing vulnerable old Ruby version and stale patches, bug 274108.
354
355 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
356 ruby-1.8.6_p369.ebuild:
357 Stable on alpha, bug #273213
358
359 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
360 Stable for HPPA (bug #273213).
361
362 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
363 ruby-1.8.6_p369.ebuild:
364 stable x86, security bug 273213
365
366 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
367 amd64 stable, security bug 273213.
368
369*ruby-1.8.7_p173 (10 Jun 2009)
370*ruby-1.8.6_p369 (10 Jun 2009)
371
372 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
373 +ruby-1.8.7_p173.ebuild:
374 Version bumps for bug #273213.
375
376*ruby-1.9.1_p129-r1 (27 May 2009)
377
378 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
379 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
380 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
381 +files/ruby-1.9.1_p129-parallelmake.patch:
382 Revision bump, add patches 1) to make Ruby behave more similarly between
383 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
384 extensions (undefined symbols in them will cause abort at runtime 3) to
385 remove a concurrency issue when building the dl extension that could
386 result in a broken dl.so.
387
388 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
389 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
390 Don't block rdoc-2 or later (which may enter Portage one day as it's
391 needed by some Rakefiles).
392
393 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
394 ruby-1.9.1_p129.ebuild:
395 Add ~x86-fbsd keyword.
396
397 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
398 keyword ~sparc-fbsd, bug #252315
399
400*ruby-1.9.1_p129 (15 May 2009)
401
402 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
403 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
404 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
405 included in every release.
406
407 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
408 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
409 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
410 ruby-1.8.7_p160.ebuild:
411 Removing vulnerable versions (#268515), fixing license (#233747).
412
413 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
414 Stable for HPPA (bug #268515).
415
416 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
417 Adapting rubygems notice.
418
419 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
420 amd64 stable, bug #268515.
421
422 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
423 arm/ia64/s390/sh/sparc stable wrt #268515
424
425 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
426 ruby-1.8.6_p368.ebuild:
427 stable x86, security bug 268515
428
429 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
430 ruby-1.8.6_p368.ebuild:
431 Stable on alpha, bug #268515
432
433 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
434 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
435
436*ruby-1.8.7_p160 (07 May 2009)
437*ruby-1.8.6_p368 (07 May 2009)
438
439 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
440 +ruby-1.8.7_p160.ebuild:
441 Version bump as per secbug 268515. NB: These are the first ebuilds that
442 no longer use ruby-config.
443
444*ruby-1.9.1-r1 (03 Apr 2009)
445*ruby-1.8.7_p72-r11 (03 Apr 2009)
446*ruby-1.8.6_p287-r13 (03 Apr 2009)
447
448 03 Apr 2009; Alex Legler <a3li@gentoo.org>
449 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
450 +files/ruby18-mkmf-parallel-install.patch,
451 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
452 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
453 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
454 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
455 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
456 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
457 happy.
458
459*ruby-1.9.1 (21 Mar 2009)
460
461 21 Mar 2009; Alex Legler <a3li@gentoo.org>
462 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
463 +ruby-1.9.1.ebuild:
464 Adding Ruby 1.9.1 for preliminary testing
465
466 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
467 ruby-1.8.6_p287-r12.ebuild:
468 Marked ~ppc for bug #252315.
469
470 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
471 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
472 bug 261982.
473
474 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
475 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
476 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
477 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
478 Cleanup
479
480*ruby-1.8.7_p72-r10 (07 Mar 2009)
481
482 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
483 +ruby-1.8.7_p72-r10.ebuild:
484 Add a revision of ruby 1.8.7 using eselect ruby.
485
486 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
487 ~mips keyworded, bug #252315.
488
489 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
490 ruby-1.8.6_p287-r5.ebuild:
491 ppc stable, bug #260006
492
493 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
494 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
495
496 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
497 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
498 Fixing Tk USE flag test, bug 258893.
499
500 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
501 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
502
503 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
504 ruby-1.8.6_p287-r5.ebuild:
505 amd64 stable wrt security bug #260006
506
507 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
508 Stable for HPPA (bug #260006).
509
510 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
511 ruby-1.8.6_p287-r5.ebuild:
512 Stable on alpha, bug #260006
513
514*ruby-1.8.7_p72-r2 (23 Feb 2009)
515*ruby-1.8.6_p287-r12 (23 Feb 2009)
516*ruby-1.8.6_p287-r5 (23 Feb 2009)
517
518 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
519 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
520 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
521 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
522 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
523 now before compilation if Tk useflags don't match) and 230748 (adding
524 --enable-option-checking=no for newer versions of autoconf).
525
526 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
527 arm/ia64/s390/sh/sparc stable wrt #254307
528
529 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
530 ruby-1.8.6_p287-r4.ebuild:
531 Stable on alpha, bug #254307
532
533 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
534 ruby-1.8.6_p287-r11.ebuild:
535 keyword ~x86-fbsd, bug #252315
536
537 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
538 ppc stable #254307
539
540 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
541 amd64/x86 stable, bug #254307
542
543 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
544 stable ppc64, bug 254307
545
546 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
547 Stable for HPPA (bug #254307).
548
549 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
550 ruby-1.8.6_p287-r11.ebuild:
551 Marked ~hppa (bug #252315).
552
553*ruby-1.8.6_p287-r11 (11 Jan 2009)
554
555 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
556 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
557 +ruby-1.8.6_p287-r11.ebuild:
558 Backport conditional definition of missing openssl functions from ruby 1.8.7.
559 Fixes #254307.
560
561 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
562 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
563
564 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
565 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
566
567 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
568 ruby-1.8.6_p287-r10.ebuild:
569 Add ~sparc keyword, bug #252315
570
571*ruby-1.8.6_p287-r10 (23 Dec 2008)
572
573 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
574 +ruby-1.8.6_p287-r10.ebuild:
575 Version bump which switches from ruby-config to eselect-ruby. Dropped most
576 keywords since eselect-ruby does not yet have these keywords.
577
578 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
579 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
580 Revert the ruby-config changes. We can't remove them until we provide an
581 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
582 for breaking things as mentioned in bug #251833.
583
584 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
585 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
586 ruby-1.8.7_p72-r1.ebuild:
587 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
588 Thanks for the people noticing this in bug #251833.
589
590 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
591 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
592 ruby-1.8.7_p72-r1.ebuild:
593 Drop dependency on ruby-config, which will be removed from the tree. We
594 currently only have one major version of ruby in the tree (Ruby 1.8), so there
595 is no need for ruby-config at this moment. For newer versions of Ruby we will
596 use eselect-ruby, which can be found in the ruby overlay at the moment.
597
598 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
599 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
600 Use mirror://ruby in SRC_URI, fixes #237392.
601
602 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
603 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
604 -ruby-1.8.7_p72.ebuild:
605 Remove old versions. Leave one old stable version with cjk support.
606
607*ruby-1.8.6_p287-r3 (29 Nov 2008)
608
609 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
610 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
611 +ruby-1.8.6_p287-r3.ebuild:
612 Fix our expansion limit patch according to debian bug report
613 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
614 make sure people will pick up the fixed version. Thanks to Alex Legler for
615 mentioning the patch.
616
617*ruby-1.8.7_p72-r1 (26 Nov 2008)
618*ruby-1.8.6_p287-r2 (26 Nov 2008)
619
620 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
621 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
622 +ruby-1.8.7_p72-r1.ebuild:
623 Fix problem with shortname constants #247790, already fixed in upstream SVN.
624 Thanks to Alex Legler for providing the patch.
625
626 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
627 -ruby-1.8.6_p287.ebuild:
628 Remove versions that will not become stable
629
630 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
631 ruby-1.8.6_p287-r1.ebuild:
632 ppc stable, bug #225465
633
634 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
635 ruby-1.8.6_p287-r1.ebuild:
636 amd64 stable wrt security bug #225465
637
638 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
639 alpha/ia64/x86 stable wrt #225465
640
641 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
642 ruby-1.8.6_p287-r1.ebuild:
643 Sparc stable --- Security Bug #225465 --- good since late August.
644
645 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
646 Stable on ppc64; bug #225465
647
648 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
649 Stable for HPPA (bug #225465).
650
651*ruby-1.8.6_p287-r1 (29 Aug 2008)
652
653 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
654 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
655 +ruby-1.8.6_p287-r1.ebuild:
656 Fix REXML security issues, bug #236060.
657
658 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
659 Add GLEP 56 USE flag descriptions.
660
661*ruby-1.8.7_p72 (15 Aug 2008)
662
663 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
664 +ruby-1.8.7_p72.ebuild:
665 bump 1.8.7 to latest patch release
666
667*ruby-1.8.6_p287 (11 Aug 2008)
668
669 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
670 Version bump for brown paper bag relelease.
671
672 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
673 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
674 Remove broken version in favor of the just-added 1.8.6_p286
675
676*ruby-1.8.6_p286 (10 Aug 2008)
677
678 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
679 Version bump to latest released version of ruby 1.8.6. This version fixes the
680 security issues reported in #225465 and #234224. The cjk USE flag has been
681 dropped since no compatible patches have been released yet.
682
683 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
684 ruby-1.8.6_p230.ebuild:
685 drop cjk from SRC_URI as well
686
687 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
688 Drop cjk support since the most recent oniguruma patches no longer apply to
689 this version, #230111.
690
691 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
692 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
693 Try to fix the security issues reported in #225465 for ruby 1.8.6.
694 Unfortunately the official p230 has a change which causes segmentation faults
695 for applications like Rails and RSpec, so we are reverting that specific
696 change.
697
698*ruby-1.8.7_p22 (29 Jun 2008)
699
700 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
701 +ruby-1.8.7_p22.ebuild:
702 bump 1.8.7 for security fix
703
704 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
705 nevermind, don't bump this yet
706
707*ruby-1.8.6_p230 (20 Jun 2008)
708
709 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
710 version bump
711
712*ruby-1.8.7 (10 Jun 2008)
713
714 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
715 +ruby-1.8.7.ebuild:
716 bump 1.8.7 to final
717
718*ruby-1.8.7_pre2 (21 Apr 2008)
719
720 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
721 +ruby-1.8.7_pre2.ebuild:
722 Version Bump
723
724*ruby-1.8.7_pre1 (16 Apr 2008)
725
726 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
727 Version bump. Drop cjk until a new version of oniguruma appears.
728
729 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
730 amd64 stable, bug 212264
731
732 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
733 Stable for HPPA (bug #212264).
734
735 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
736 ruby-1.8.6_p114.ebuild:
737 ppc stable, bug #212264
738
739 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
740 alpha/ia64 stable wrt #212264
741
742 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
743 ruby-1.8.6_p114.ebuild:
744 stable x86, security bug 212264
745
746 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
747 Sparc stable, Security Bug #212264, builds and installs, initial tests run
748 as expected.
749
750 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
751 Marking ruby-1.8.6_p114 ppc64 for bug 212264
752
753*ruby-1.8.6_p114 (05 Mar 2008)
754
755 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
756 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
757 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
758 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
759 Version bump for #212264. Remove old ebuilds.
760
761 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
762 alpha/ia64 stable wrt #208916
763
764 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
765 Stable on ppc wrt bug 208916
766
767 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
768 x86 stable, bug #208916
769
770 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
771 ruby-1.8.6_p111-r1.ebuild:
772 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
773
774 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
775 -files/ruby-1.8.6-exit-status.patch,
776 -files/ruby-1.8.6_p110-net-http-p111.patch,
777 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
778 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
779 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
780 Remove old versions
781
782 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
783 Stable on ppc64
784
785 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
786 Stable on amd64; bug 199191
787
788 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
789 alpha/ia64/sparc stable wrt #199191
790
791 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
792 Remove now-obsolete warning about coreutils versions, #203156.
793
794 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
795 Stable for HPPA (bug #199191).
796
797*ruby-1.8.6_p111-r1 (23 Dec 2007)
798
799 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
800 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
801 ssl USE flags. Patch to p113.
802
803 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
804 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
805
806 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
807 x86 stable, security bug #199191
808
809*ruby-1.8.6_p111 (23 Dec 2007)
810
811 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
812 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
813 Version bump with patch for bug #199191
814
815 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
816 Move dependency on (X)Emacs modes to PDEPEND.
817
818 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
819 Add back ~hppa keyword now that XEmacs support files have been keyworded,
820 bug 196413
821
822*ruby-1.8.6_p110-r2 (21 Oct 2007)
823
824 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
825 +ruby-1.8.6_p110-r2.ebuild:
826 Add emacs and xemacs USE flags and use them to pull in the correct editing
827 mode for each. Had to drop several arch keywords as reported on bug 196413.
828
829 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
830 amd64 stable, security bug 194236
831
832 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
833 ruby-1.8.6_p110-r1.ebuild:
834 Stable on ppc64; bug #194236
835
836 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
837 amd64 stable, security bug 194236
838
839 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
840 Stable for HPPA (bug #194236).
841
842 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
843 alpha/ia64/sparc stable wrt security #194236
844
845 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
846 ruby-1.8.6_p110-r1.ebuild:
847 ppc stable, bug #194236
848
849 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
850 ruby-1.8.6_p110-r1.ebuild:
851 stable x86, security bug 194236
852
853 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
854 ruby-1.8.5_p113.ebuild:
855 stable x86, security bug 194236
856
857 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
858 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
859 -ruby-1.8.6_p110.ebuild:
860 Remove old versions
861
862*ruby-1.8.6_p110-r1 (30 Sep 2007)
863*ruby-1.8.5_p113 (30 Sep 2007)
864
865 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
866 +files/ruby-1.8.5_p113-net-http-p114.patch,
867 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
868 +ruby-1.8.6_p110-r1.ebuild:
869 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
870 using 1.8.6-p110 as base ebuild.
871
872 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
873 More fixes from gentoo-dev and graaff
874
875 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
876 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
877
878*ruby-1.8.6_p110 (24 Sep 2007)
879
880 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
881 Version bump
882
883*ruby-1.8.6_p36-r4 (26 Aug 2007)
884
885 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
886 +ruby-1.8.6_p36-r4.ebuild:
887 Use user LDFLAGS, #181436
4 888
5 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild, 889 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild: 890 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
7 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old 891 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
8 ebuilds, including the currently stable 1.8.5_p2-r1, #189241. 892 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.

Legend:
Removed from v.1.293  
changed lines
  Added in v.1.488

  ViewVC Help
Powered by ViewVC 1.1.20